Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.validate
Class ImmutableSchemata.MutableTable

    java.lang.Object
      org.modeshape.jcr.query.validate.ImmutableSchemata.MutableTable

Enclosing class:
  ImmutableSchemata

    protected static class ImmutableSchemata.MutableTable

extends Object

Constructor Summary
`protected` | `ImmutableSchemata.MutableTable(String name, List<Schemata.Column> columns, boolean extraColumns)`

Method Summary
`protected void` | `addColumn(Schemata.Column column)`
`protected boolean` | `addKey(Collection<Schemata.Column> keyColumns)`
`protected Schemata.Table` | `asImmutable()`
`protected void` | `excludeFromSelectStar(String columnName)`
`protected Schemata.Column` | `getColumn(String name)`
`protected Set<String>` | `getColumnNamesInSelectStar()`
`SelectorName` | `getName()`
`protected void` | `setExtraColumns(boolean extraColumns)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImmutableSchemata.MutableTable

    protected ImmutableSchemata.MutableTable(String name,
                                             List<Schemata.Column> columns,
                                             boolean extraColumns)

Method Detail

### getName

    public SelectorName getName()

### addColumn

    protected void addColumn(Schemata.Column column)

### getColumn

    protected Schemata.Column getColumn(String name)

### getColumnNamesInSelectStar

    protected Set<String> getColumnNamesInSelectStar()

### addKey

    protected boolean addKey(Collection<Schemata.Column> keyColumns)

### setExtraColumns

    protected void setExtraColumns(boolean extraColumns)

### excludeFromSelectStar

    protected void excludeFromSelectStar(String columnName)

### asImmutable

    protected Schemata.Table asImmutable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.